## wxDialUpEvent

This is the event class for the dialup events sent by wxDialUpManager.

Derived from

wxEvent
wxObject

Include files

<wx/dialup.h>

Members

wxDialUpEvent::wxDialUpEvent
wxDialUpEvent::IsConnectedEvent
wxDialUpEvent::IsOwnEvent

### wxDialUpEvent::wxDialUpEvent

wxDialUpEvent(bool isConnected, bool isOwnEvent)

Constructor is only used by wxDialUpManager.

### wxDialUpEvent::IsConnectedEvent

bool IsConnectedEvent() const

Is this a `CONNECTED` or `DISCONNECTED` event? In other words, does it notify about transition from offline to online state or vice versa?

### wxDialUpEvent::IsOwnEvent

bool IsOwnEvent() const

Does this event come from wxDialUpManager::Dial() or from some extrenal process (i.e. does it result from our own attempt to establish the connection)?